/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "blinds.h"

void _pokerActionBlindsOnStart(queue_t *queue,queueaction_t *action,uint8_t i) {
  poker_t *poker;
  poker = (poker_t *)action->data;

  pokerBetTakeBlinds(poker);
  printf("Taken Blinds\n");
  queueNext(queue);
}


queueaction_t * pokerActionBlindsAdd(queue_t *queue, poker_t *poker) {
  queueaction_t *action;
  action = queueAdd(queue);
  action->data = (void *)poker;
  action->onStart = &_pokerActionBlindsOnStart;
  return action;
}